execute at @e[tag=spawn3] run particle minecraft:portal ~ ~1 ~ .7 .7 0 2 10 normal

execute at @e[tag=spawn3] run particle minecraft:portal ~ ~1 ~ .5 .5 0 0 100 normal

execute store result score @s AM.PlayerY run data get entity @s Pos[1]

execute as @a at @s if block ~ ~-1 ~ #asphodel:lava run effect give @s minecraft:wither 1 1 true

execute in the_nether as @e[type=!minecraft:player] if block ~ ~-1 ~ #asphodel:lava run effect give @s minecraft:wither 1 1 

execute at @e[name=Spawn] as @a[distance=..1] run function asphodel:meadows/portal_out

execute at @e[name="Giant Phantom"] run particle minecraft:large_smoke ^ ^ ^ 2 0 2 0 1 normal

## Terrain Generation ## 

execute as @s[scores={AM.SpawnTimer=19}] at @s unless entity @e[tag=Marker,distance=..16] run function asphodel:meadows/terrain_gen

execute as @s[scores={AM.SpawnTimer=1}] as @e[tag=Marker] run function asphodel:meadows/align

execute as @s[scores={AM.SpawnTimer=2}] as @e[tag=Marker] run function asphodel:meadows/spawn_gen

execute as @s[scores={AM.SpawnTimer=3}] as @e[tag=gen] at @s if block ~ ~ ~ minecraft:obsidian run kill @s

execute as @s[scores={AM.SpawnTimer=4}] as @e[tag=gen] at @s run function asphodel:meadows/layers/layer1
execute as @s[scores={AM.SpawnTimer=5}] as @e[tag=gen] at @s run function asphodel:meadows/layers/layer2
execute as @s[scores={AM.SpawnTimer=6}] as @e[tag=gen] at @s run function asphodel:meadows/layers/layer3
execute as @s[scores={AM.SpawnTimer=7}] as @e[tag=gen] at @s run function asphodel:meadows/layers/layer4
execute as @s[scores={AM.SpawnTimer=8}] as @e[tag=gen] at @s run function asphodel:meadows/layers/layer5
execute as @s[scores={AM.SpawnTimer=9}] as @e[tag=gen] at @s run function asphodel:meadows/layers/layer6
execute as @s[scores={AM.SpawnTimer=9}] as @e[tag=gen] at @s run function asphodel:meadows/layers/spawn_trees
execute as @s[scores={AM.SpawnTimer=10}] as @e[tag=gen] at @s run function asphodel:meadows/layers/check_trees
execute as @s[scores={AM.SpawnTimer=10}] as @e[tag=gen] at @s run function asphodel:meadows/layers/layer7

execute as @s[scores={AM.SpawnTimer=11}] as @e[tag=gen] at @s run function asphodel:meadows/layers/layer8
execute as @s[scores={AM.SpawnTimer=12}] as @e[tag=gen] at @s run function asphodel:meadows/layers/layer9
execute as @s[scores={AM.SpawnTimer=13}] as @e[tag=gen] at @s run function asphodel:meadows/layers/layer10
execute as @s[scores={AM.SpawnTimer=14}] as @e[tag=gen] at @s run function asphodel:meadows/layers/layer11



# Spawn Timer # 

scoreboard players set @s[scores={AM.SpawnTimer=20..}] AM.SpawnTimer 0 

scoreboard players add @s AM.SpawnTimer 1